# -*- coding: utf-8 -*-
"""add_margins_2_images.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1cCx0RgM9OLDQvIk0J30A0WjdcbfDFm19
"""

from PIL import Image
import math
import sys

path_input = 'Input/foregrounds/'
path_output = 'tmp/margins/'


def add_margin(pil_img, top, right, bottom, left, color):
    width, height = pil_img.size
    new_width = width + right + left
    new_height = height + top + bottom
    result = Image.new(pil_img.mode, (new_width, new_height), color)
    result.paste(pil_img, (left, top))
    return result


for i in range(1, 21):
    im = Image.open(path_input + 'MarkerData_' + str(i) + '.png')
    im = im.convert('RGB')
    # pad = math.ceil(im.size[0] * 0.207106781)
    # pad = math.ceil(im.size[0])
    pad = int(sys.argv[1])
    # print(f"padding is: {pad}")
    im = add_margin(im, pad, pad, pad, pad, (10, 10, 10))
    im.save(path_output + 'MarkerMargins_' + str(i) + '.png', quality=100)
